#   Descrip.mms makefile for LibPNG on OpenVMS
#
#   Modified:    7-APR-2000 Rick Dyson (rick-dyson@uiowa.edu)
#               31-MAR-2001 Rick Dyson Updated for LibPNG v1.0.10
#               24-OCT-2001 RLD Updated for LibPNG v1.2.0
#               13-MAR-2002 RLD Updated for ZLib v1.1.4

ZLIB = [-.ZLib-1_1_4]

#OPTIMIZE = /Optimize
#DEBUG = /NoDebug
DEFS =
INCS = /Include = $(ZLIB)
PREF = /Prefix = All /Names = As_Is

CFLAGS = $(DEBUG) $(OPTIMIZE) $(INCS) $(DEFS) $(PREF)
LINKFLAGS = $(LINKFLAGS) $(DEBUG)

OBJS =  png.obj pngset.obj pngget.obj pngrutil.obj pngtrans.obj \
	pngwutil.obj pngread.obj pngmem.obj pngwrite.obj pngrtran.obj \
	pngwtran.obj pngrio.obj pngwio.obj pngerror.obj pngpread.obj \
	pnggccrd.obj pngvcrd.obj

all :	pngtest.exe libpng.olb
	@ write sys$output "PNGtest available"

lib : 	libpng.olb
	@ write sys$output "LibPNG build complete..."

libpng.olb :	libpng.olb($(OBJS))
	@ Continue

pngtest.exe :	pngtest.obj libpng.olb
	$(LINK) $(LINKFLAGS) pngtest,LibPNG.olb/Library,$(ZLIB)LibZ.olb/Library

test :	pngtest.exe
	Run PNGtest

clean :
	- Purge /NoLog /NoConfirm *.mms,*.obj,*.exe

clobber :	clean
	- Delete /NoLog /NoConfirm *.olb;,*.obj;,*.exe;

# Other dependencies.
png.obj : png.h, pngconf.h
pngpread.obj : png.h, pngconf.h
pngset.obj : png.h, pngconf.h
pngget.obj : png.h, pngconf.h
pngread.obj : png.h, pngconf.h
pngrtran.obj : png.h, pngconf.h
pngrutil.obj : png.h, pngconf.h
pngerror.obj : png.h, pngconf.h
pngmem.obj : png.h, pngconf.h
pngrio.obj : png.h, pngconf.h
pngwio.obj : png.h, pngconf.h
pngtest.obj : png.h, pngconf.h
pngtrans.obj : png.h, pngconf.h
pngwrite.obj : png.h, pngconf.h
pngwtran.obj : png.h, pngconf.h
pngwutil.obj : png.h, pngconf.h
