#   Descrip.mms for Alpha/OpenVMS MMS
#
#   For use with the Compaq DECSet, MMS, or the free MadGoat MMK clone.
#
#   Written:     7-APR-2000 Rick Dyson (rick-dyson@uiowa.edu)
#   Modifed:     8-OCT-2000 RLD Added changes for v2.01-05
#                9-APR-2001 RLD Updated for v2.01-06 and updated LibPNG
#               24-OCT-2001 RLD Updated for v2.01-09 and LibPNG v1.2.0
#               13-MAR-2002 RLD Updated for ZLib v1.1.4
#               19-APR-2002 RLD Updated for v2.01-10
#
#   This was quickly thrown together to use the required libraries in
#   adjacent directories.  If you have them somewhere else, change the
#   logical name pointers.  A full ZIP kit with the current version of
#   Webalizer and all of these aux libraries is always available at:
#       ftp://www-pi.physics.uiowa.edu/~dyson/webalizer-vms.zip
#
#   NOTE:  Webalizer only builds on OpenVMS v7.x and above.

# Library locations/versions
LIBJPEG   = jpeg-6b
LIBZ      = zlib-1_1_4
LIBGD     = gd-1_8_4
LIBPNG    = libpng-1_2_0

#OPTIMIZE = /Optimize
#DEBUG = /NoDebug
WARN = /Prefix = All /Names = As_Is /Warnings = (Informationals = PTRMISMATCH1, NoInformationals)

.ifdef JPEG
INCS = /Include = ([], LibJPEG:, LibPNG:, LibZ:, LibGD:) 
DEFS = /Define = (USE_JPEG, "ETCDIR=""sys$scratch:""")
LIBS = LibGD:LibGD.olb/Library, LibZ:LibZ.olb/Library, LibPNG:LibPNG.olb/Library, LibJPEG:LibJPEG.olb/Library
.else
INCS = /Include = ([], LibPNG:, LibZ:, LibGD:) 
DEFS = /Define = ("ETCDIR=""sys$scratch:""")
LIBS = LibGD:LibGD.olb/Library, LibZ:LibZ.olb/Library, LibPNG:LibPNG.olb/Library
.endif

CFLAGS = $(CFLAGS) $(OPTIMIZE) $(DEBUG) $(DEFS) $(INCS) $(WARN)
LINKFLAGS = $(LINKFLAGS) $(DEBUG)

HEAD = webalizer.h hashtab.h linklist.h preserve.h dns_resolv.h parser.h output.h graphs.h lang.h webalizer_lang.h
OBJS = webalizer.obj hashtab.obj linklist.obj preserve.obj parser.obj output.obj dns_resolv.obj graphs.obj

.first 
.ifdef JPEG
	@ If (F$TrnLnm ("LibJPEG") .eqs. "") Then Define LibJPEG Sys$Disk:[-.$(LIBJPEG)]
.endif
	@ If (F$TrnLnm ("LibZ") .eqs. "")    Then Define LibZ    Sys$Disk:[-.$(LIBZ)]
	@ If (F$TrnLnm ("LibGD") .eqs. "")   Then Define LibGD   Sys$Disk:[-.$(LIBGD)]
	@ If (F$TrnLnm ("LibPNG") .eqs. "")  Then Define LibPNG  Sys$Disk:[-.$(LIBPNG)]

all :	webalizer.exe
.ifdef JPEG
	- Copy webalizer.exe webalizer-jpg.exe
	@ Write Sys$Output "Webalizer (JPEG output) build complete..."
.else
	- Copy webalizer.exe webalizer-png.exe
	@ Write Sys$Output "Webalizer (PNG output) build complete..."
.endif

webalizer.exe :	$(OBJS)
	- $(LINK) $(LINKFLAGS) $+, $(LIBS)

clean :
	- Purge /NoLog /NoConfirm *.exe, *.obj, *.mms

clobber :	clean
	- Delete /NoLog /NoConfirm *.obj;, *.exe;

$(OBJS) :	$(HEAD)
